-------------------------------alle funktionsgruppen haben ihre eigenen tabs---------------------




//Servo- und Stepperbibliotheken
#include <Stepper.h>
#include <Servo.h>

//Pinbelegung
int step1dir = 42;
int step1step = 43;
int step2dir = 32;
int step2step = 33;
int servo1pin = 2;
int servo2pin = 3;
int ultra1trig = 23;
int ultra1echo = 22;
int ultra2trig = 53;
int ultra2echo = 52;
int s2 = 37;
int s3 = 38;
int sensorOUT = 36;

//Servostellungen
int suchstellung1;
int suchstellung2;
int oben1 = 150;
int oben2 = 30;
int unten1 = 30;
int unten2 = 150;

//Servos implementieren
Servo servo1;
Servo servo2;

//Stepper konfigurieren
Stepper motor1 (400, step1dir, step1step);
Stepper motor2 (400, step2dir, step2step);


void setup() {
  Serial.begin(9600);
  pinMode(step1dir, OUTPUT);
  pinMode(step1step, OUTPUT);
  pinMode(step2dir, OUTPUT);
  pinMode(step2step, OUTPUT);
  pinMode(servo1pin, OUTPUT);
  pinMode(servo2pin, OUTPUT);
  pinMode(ultra1trig, OUTPUT);
  pinMode(ultra1echo, INPUT);
  pinMode(ultra2trig, OUTPUT);
  pinMode(ultra2echo, INPUT);
  pinMode(S2, OUTPUT);
  pinMode(S3, OUTPUT);

  //Stepper Speed
  motor1.setSpeed(200);
  motor2.setSpeed(200);

  //Servo anhängen
  servo1.attach(servo1pin);
  servo2.attach(servo2pin);
  suchstellung1 = servo1.read();
  suchstellung2 = servo2.read();
}


void loop() {
  suchen();
}
