//Ultraschallentfernungsmessung nach vorne

float scanultra2() {
  digitalWrite(ultra2trig, LOW);
  delay(5);
  digitalWrite(ultra2trig, HIGH);
  delay(10);
  digitalWrite(ultra2trig, LOW);
  long dauer2 = pulseIn (ultra2echo, HIGH);
  int entfernung2 = (dauer2 / 2) * 0.03432;//rechnet signaldauer in entfernung um
  return entfernung2;
}

//Ultraschallentfernungsmessung nach unten

float scanultra1() {
  digitalWrite(ultra1trig, LOW);
  delay(5);
  digitalWrite(ultra1trig, HIGH);
  delay(10);
  digitalWrite(ultra1trig, LOW);
  long dauer1 = pulseIn(ultra1echo, HIGH);
  int entfernung1 = (dauer1 / 2) * 0.03432;//rechnet signaldauer in entfernung um
  return entfernung1;
}


//Farben errechnen

int farbenumrechnen() {
  // Konstanten für die Sensorkalibrierung
  int R_WHITE = 25;
  int R_BLACK = 217;
  int G_WHITE = 24;
  int G_BLACK = 200;
  int B_WHITE = 17;
  int B_BLACK = 143;
  int C_WHITE = 9;
  int C_BLACK = 82;

  // map()-Funktion rechnet Werte in Bereich [0; 255] um
  int rValue = map(sensorRead(0), R_BLACK, R_WHITE, 0, 255);
  int gValue = map(sensorRead(1), G_BLACK, G_WHITE, 0, 255);
  int bValue = map(sensorRead(2), B_BLACK, B_WHITE, 0, 255);
  int cValue = map(sensorRead(3), C_BLACK, C_WHITE, 0, 255);
}


//steuert Farbsensor an
int sensorRead (int channel) {
  if (channel == 0 || channel == 2) {
    digitalWrite(S2, LOW);
  }
  else {
    digitalWrite(S2, HIGH);
  }
  if (channel == 0 || channel == 3) {
    digitalWrite(S3, LOW);
  }
  else {
    digitalWrite(S3, HIGH);
  }
  int valueSensor = pulseIn(sensorOUT, LOW);
  return valueSensor;
}
